Approve one exact private Tool artifact for execution
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/tools/{toolArtifactId}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expectedVersion": 0
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/tools/{toolArtifactId}/approve"
payload = { "expectedVersion": 0 }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expectedVersion: 0})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/tools/{toolArtifactId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"packageId": "<string>",
"version": "<string>",
"manifestHash": "<string>",
"artifactHash": "<string>",
"capabilities": [
"state.read"
],
"toolArtifactId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"state": "candidate",
"introducedByBuildHash": "<string>",
"versionNumber": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"approvedAtMs": 0,
"deprecatedAtMs": 0,
"revokedAtMs": 0
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Approve one exact private Tool artifact for execution
Approve one exact private Tool artifact for execution
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^toolart_[0-9a-z]{12,32}$Body
application/json
Required range:
-9007199254740991 <= x <= 9007199254740991Response
Approved private Tool artifact
Available options:
1 Required string length:
1 - 96Pattern:
^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-[0-9A-Za-z.-]+)?(?:\+[0-9A-Za-z.-]+)?$Pattern:
^sha256:[0-9a-f]{64}$Pattern:
^sha256:[0-9a-f]{64}$Maximum array length:
6Available options:
state.read, state.write, clock.read, clock.schedule, random.draw, event.emit Pattern:
^toolart_[0-9a-z]{12,32}$Pattern:
^org_[0-9a-z]{12,32}$Pattern:
^prj_[0-9a-z]{12,32}$Available options:
candidate, approved, deprecated, revoked Pattern:
^sha256:[0-9a-f]{64}$Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991